List Versions
GEThttps://api.confident-ai.com/v1/prompts/{alias}/versions
Retrieves a list of all versions associated with a given prompt alias.
curl -X GET "https://api.confident-ai.com/v1/prompts/{alias}/versions" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"textVersions": [
{
"id": "prm_xyz456",
"version": "00.00.01"
}
],
"messagesVersions": null
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
aliasstringRequiredThe unique alias of the prompt.
Response
successbooleanThis is true if the prompt versions were successfully retrieved.
dataobjectShow 2 propertiesHide 2 properties
textVersionslist of objectsThis is the list of versions associated with the text prompt, which is null if the prompt is a messages prompt.
Show 2 propertiesHide 2 properties
idstringThis is the id of the prompt version generated by Confident AI, not to be confused with the version.
versionstringThis is the version number of a prompt version.
messagesVersionslist of objectsThis is the list of versions associated with the messages prompt, which is null if the prompt is a text prompt.
Show 2 propertiesHide 2 properties
idstringThis is the id of the prompt version generated by Confident AI, not to be confused with the version.
versionstringThis is the version number of a prompt version.
deprecatedbooleanThis is true if this endpoint is deprecated.